// Copyright 2013
//
// Maxime Reis (JRL/CNRS/AIST, LAAS/CNRS)
// Sébastien Barthélémy (Aldebaran Robotics)
// Olivier Stasse (LAAS/CNRS)
//
// This file is part of metapod.
// metapod is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// metapod is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// You should have received a copy of the GNU Lesser General Public License
// along with metapod.  If not, see <http://www.gnu.org/licenses/>.

#ifndef METAPOD_JOINT_HH
# define METAPOD_JOINT_HH
#include <metapod/tools/common.hh>

#include <metapod/tools/joint-freeflyer.hh>
#include <metapod/tools/joint-aboutxaxis.hh>
#include <metapod/tools/joint-aboutyaxis.hh>
#include <metapod/tools/joint-aboutzaxis.hh>
#include <metapod/tools/joint-anyaxis.hh>

#include <metapod/tools/spatial/rotation-matrix.hh>
#define METAPOD_TYPEDEFS \
  EIGEN_METAPOD_TYPEDEFS; \
  EIGEN_METAPOD_TRANSFORM_TYPEDEFS; \
  EIGEN_METAPOD_CM_TYPEDEFS; \
  EIGEN_METAPOD_SPATIAL_MOTION_TYPEDEF; \
  EIGEN_METAPOD_SPATIAL_FORCE_TYPEDEF; \
  EIGEN_METAPOD_SPATIAL_INERTIA_TYPEDEF; \
  METAPOD_SPATIAL_ROTATION_TYPEDEFS
  
#endif
